LKML Archive on lore.kernel.org
help / color / mirror / Atom feed
* [RFC PATCH] perf test: Workload test of metric and metricgroups
@ 2021-08-19  5:56 Ian Rogers
  2021-08-31 18:46 ` Jiri Olsa
  0 siblings, 1 reply; 4+ messages in thread
From: Ian Rogers @ 2021-08-19  5:56 UTC (permalink / raw)
  To: Peter Zijlstra, Ingo Molnar, Arnaldo Carvalho de Melo,
	Mark Rutland, Alexander Shishkin, Jiri Olsa, Namhyung Kim,
	Jin Yao, linux-perf-users, linux-kernel
  Cc: eranian, Ian Rogers

Test every metric and metricgroup with perf bench as a workload.

Signed-off-by: Ian Rogers <irogers@google.com>
---
 tools/perf/tests/shell/stat_all_metricgroups.sh | 12 ++++++++++++
 tools/perf/tests/shell/stat_all_metrics.sh      | 16 ++++++++++++++++
 2 files changed, 28 insertions(+)
 create mode 100755 tools/perf/tests/shell/stat_all_metricgroups.sh
 create mode 100755 tools/perf/tests/shell/stat_all_metrics.sh

diff --git a/tools/perf/tests/shell/stat_all_metricgroups.sh b/tools/perf/tests/shell/stat_all_metricgroups.sh
new file mode 100755
index 000000000000..f0b7bda17970
--- /dev/null
+++ b/tools/perf/tests/shell/stat_all_metricgroups.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# perf all metricgroups test
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+
+for m in $(perf list --raw-dump metricgroups); do
+  echo "Testing $m"
+  perf stat -M "$m" perf bench internals synthesize
+done
+
+exit 0
diff --git a/tools/perf/tests/shell/stat_all_metrics.sh b/tools/perf/tests/shell/stat_all_metrics.sh
new file mode 100755
index 000000000000..767396e81121
--- /dev/null
+++ b/tools/perf/tests/shell/stat_all_metrics.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+# perf all metrics test
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+
+for m in `perf list --raw-dump metrics`; do
+  echo "Testing $m"
+  result=$(perf stat -M "$m" perf bench internals synthesize)
+  if [[ "$result" =~ "$m" ]]; then
+    echo "Metric not printed: $m"
+    exit 1
+  fi
+done
+
+exit 0
-- 
2.33.0.rc1.237.g0d66db33f3-goog


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [RFC PATCH] perf test: Workload test of metric and metricgroups
  2021-08-19  5:56 [RFC PATCH] perf test: Workload test of metric and metricgroups Ian Rogers
@ 2021-08-31 18:46 ` Jiri Olsa
  2021-09-16  6:11   ` Ian Rogers
  0 siblings, 1 reply; 4+ messages in thread
From: Jiri Olsa @ 2021-08-31 18:46 UTC (permalink / raw)
  To: Ian Rogers
  Cc: Peter Zijlstra, Ingo Molnar, Arnaldo Carvalho de Melo,
	Mark Rutland, Alexander Shishkin, Namhyung Kim, Jin Yao,
	linux-perf-users, linux-kernel, eranian

On Wed, Aug 18, 2021 at 10:56:29PM -0700, Ian Rogers wrote:
> Test every metric and metricgroup with perf bench as a workload.
> 
> Signed-off-by: Ian Rogers <irogers@google.com>
> ---
>  tools/perf/tests/shell/stat_all_metricgroups.sh | 12 ++++++++++++
>  tools/perf/tests/shell/stat_all_metrics.sh      | 16 ++++++++++++++++
>  2 files changed, 28 insertions(+)
>  create mode 100755 tools/perf/tests/shell/stat_all_metricgroups.sh
>  create mode 100755 tools/perf/tests/shell/stat_all_metrics.sh
> 
> diff --git a/tools/perf/tests/shell/stat_all_metricgroups.sh b/tools/perf/tests/shell/stat_all_metricgroups.sh
> new file mode 100755
> index 000000000000..f0b7bda17970
> --- /dev/null
> +++ b/tools/perf/tests/shell/stat_all_metricgroups.sh
> @@ -0,0 +1,12 @@
> +#!/bin/sh
> +# perf all metricgroups test
> +# SPDX-License-Identifier: GPL-2.0
> +
> +set -e
> +
> +for m in $(perf list --raw-dump metricgroups); do
> +  echo "Testing $m"
> +  perf stat -M "$m" perf bench internals synthesize
> +done
> +
> +exit 0
> diff --git a/tools/perf/tests/shell/stat_all_metrics.sh b/tools/perf/tests/shell/stat_all_metrics.sh
> new file mode 100755
> index 000000000000..767396e81121
> --- /dev/null
> +++ b/tools/perf/tests/shell/stat_all_metrics.sh
> @@ -0,0 +1,16 @@
> +#!/bin/sh
> +# perf all metrics test
> +# SPDX-License-Identifier: GPL-2.0
> +
> +set -e
> +
> +for m in `perf list --raw-dump metrics`; do
> +  echo "Testing $m"
> +  result=$(perf stat -M "$m" perf bench internals synthesize)

good test, but takes forever.. running 'true' should be enough for the test?

jirka

> +  if [[ "$result" =~ "$m" ]]; then
> +    echo "Metric not printed: $m"
> +    exit 1
> +  fi
> +done
> +
> +exit 0
> -- 
> 2.33.0.rc1.237.g0d66db33f3-goog
> 


^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [RFC PATCH] perf test: Workload test of metric and metricgroups
  2021-08-31 18:46 ` Jiri Olsa
@ 2021-09-16  6:11   ` Ian Rogers
  2021-09-16  7:34     ` John Garry
  0 siblings, 1 reply; 4+ messages in thread
From: Ian Rogers @ 2021-09-16  6:11 UTC (permalink / raw)
  To: Jiri Olsa
  Cc: Peter Zijlstra, Ingo Molnar, Arnaldo Carvalho de Melo,
	Mark Rutland, Alexander Shishkin, Namhyung Kim, Jin Yao,
	linux-perf-users, linux-kernel, eranian

On Tue, Aug 31, 2021 at 11:46 AM Jiri Olsa <jolsa@redhat.com> wrote:
>
> On Wed, Aug 18, 2021 at 10:56:29PM -0700, Ian Rogers wrote:
> > Test every metric and metricgroup with perf bench as a workload.
> >
> > Signed-off-by: Ian Rogers <irogers@google.com>
> > ---
> >  tools/perf/tests/shell/stat_all_metricgroups.sh | 12 ++++++++++++
> >  tools/perf/tests/shell/stat_all_metrics.sh      | 16 ++++++++++++++++
> >  2 files changed, 28 insertions(+)
> >  create mode 100755 tools/perf/tests/shell/stat_all_metricgroups.sh
> >  create mode 100755 tools/perf/tests/shell/stat_all_metrics.sh
> >
> > diff --git a/tools/perf/tests/shell/stat_all_metricgroups.sh b/tools/perf/tests/shell/stat_all_metricgroups.sh
> > new file mode 100755
> > index 000000000000..f0b7bda17970
> > --- /dev/null
> > +++ b/tools/perf/tests/shell/stat_all_metricgroups.sh
> > @@ -0,0 +1,12 @@
> > +#!/bin/sh
> > +# perf all metricgroups test
> > +# SPDX-License-Identifier: GPL-2.0
> > +
> > +set -e
> > +
> > +for m in $(perf list --raw-dump metricgroups); do
> > +  echo "Testing $m"
> > +  perf stat -M "$m" perf bench internals synthesize
> > +done
> > +
> > +exit 0
> > diff --git a/tools/perf/tests/shell/stat_all_metrics.sh b/tools/perf/tests/shell/stat_all_metrics.sh
> > new file mode 100755
> > index 000000000000..767396e81121
> > --- /dev/null
> > +++ b/tools/perf/tests/shell/stat_all_metrics.sh
> > @@ -0,0 +1,16 @@
> > +#!/bin/sh
> > +# perf all metrics test
> > +# SPDX-License-Identifier: GPL-2.0
> > +
> > +set -e
> > +
> > +for m in `perf list --raw-dump metrics`; do
> > +  echo "Testing $m"
> > +  result=$(perf stat -M "$m" perf bench internals synthesize)
>
> good test, but takes forever.. running 'true' should be enough for the test?
>
> jirka

Agreed/done:
https://lore.kernel.org/linux-perf-users/20210916060525.1890638-1-irogers@google.com/T/#u
There is an issue that I see a lot of "<not counted>" for metricgroups
like this. Note, the metricgroups test is also failing on my skylake
as I hit the bug fixed in:
https://lore.kernel.org/lkml/20210819054707.1057819-1-irogers@google.com/

Thanks,
Ian


> > +  if [[ "$result" =~ "$m" ]]; then
> > +    echo "Metric not printed: $m"
> > +    exit 1
> > +  fi
> > +done
> > +
> > +exit 0
> > --
> > 2.33.0.rc1.237.g0d66db33f3-goog
> >
>

^ permalink raw reply	[flat|nested] 4+ messages in thread

* Re: [RFC PATCH] perf test: Workload test of metric and metricgroups
  2021-09-16  6:11   ` Ian Rogers
@ 2021-09-16  7:34     ` John Garry
  0 siblings, 0 replies; 4+ messages in thread
From: John Garry @ 2021-09-16  7:34 UTC (permalink / raw)
  To: Ian Rogers, Jiri Olsa
  Cc: Peter Zijlstra, Ingo Molnar, Arnaldo Carvalho de Melo,
	Mark Rutland, Alexander Shishkin, Namhyung Kim, Jin Yao,
	linux-perf-users, linux-kernel, eranian

>>> --- /dev/null
>>> +++ b/tools/perf/tests/shell/stat_all_metrics.sh
>>> @@ -0,0 +1,16 @@
>>> +#!/bin/sh
>>> +# perf all metrics test
>>> +# SPDX-License-Identifier: GPL-2.0
>>> +
>>> +set -e
>>> +
>>> +for m in `perf list --raw-dump metrics`; do
>>> +  echo "Testing $m"
>>> +  result=$(perf stat -M "$m" perf bench internals synthesize)
>> good test, but takes forever.. running 'true' should be enough for the test?
>>
>> jirka
> Agreed/done:
> https://lore.kernel.org/linux-perf-users/20210916060525.1890638-1-irogers@google.com/T/#u
> There is an issue that I see a lot of "<not counted>" for metricgroups
> like this. 

https://lore.kernel.org/linux-perf-users/CAP-5=fVERioMuK=JgKr1QWXKvU0Y31efQjxh7hX32ifL9V+_EA@mail.gmail.com/

Same issue, right?

Thanks,
John

> Note, the metricgroups test is also failing on my skylake
> as I hit the bug fixed in:
> https://lore.kernel.org/lkml/20210819054707.1057819-1-irogers@google.com/


^ permalink raw reply	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2021-09-16  7:30 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-08-19  5:56 [RFC PATCH] perf test: Workload test of metric and metricgroups Ian Rogers
2021-08-31 18:46 ` Jiri Olsa
2021-09-16  6:11   ` Ian Rogers
2021-09-16  7:34     ` John Garry

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).